/* Picture.java created by mfirlik on Wed 17-May-2000 */

import com.apple.yellow.foundation.*;
import com.apple.yellow.eocontrol.*;
import com.apple.yellow.eoaccess.*;
import com.apple.yellow.webobjects.*;


public class Picture extends Object {

	// Color attributes
	private String _name;
	private String _fileName;
	private String _height;
	private String _width;
	private String _mimeType;
	private static NSArray listOfPictures = null;


	// ***********************
	// *  Instantiate      
	// ***********************

	public Picture() {
		super();
	}

	public Picture(String name, String fileName, String height, String width, String mimeType) {

		// Create a defined picture
		setName(name);
		setFileName(fileName);
		setHeight(height);
		setWidth(width);
		setMimeType(mimeType);
	}


	// ***********************
	// *  Picture List
	// ***********************

	public static NSArray pictureList() {
		 
		if(listOfPictures == null) {
			Picture one = new Picture("Market Segments", "Poster1.jpg", "720", "480", "jpg");
			Picture two = new Picture("Power of the Box", "Poster2.jpg", "720", "480", "jpg");
			Picture three = new Picture("The Big W", "Poster3.jpg", "720", "480", "jpg");

			Picture p[] = {one, two, three};
			listOfPictures = new NSArray(p);
		}

		return listOfPictures;
	}


	// ***********************
	// *  Accessors
	// ***********************

	public String name() {
		return _name;
	}

	public void setName(String aName) {
		_name = aName;
	}
	
	public String fileName() {
		return _fileName;
	}

	public void setFileName(String aName) {
		_fileName = aName;
	}

	public String height() {
		return _height;
	}

	public void setHeight (String aValue) {
		_height = aValue;
	}
	
	public String width() {
		return _width;
	}

	public void setWidth(String aValue) {
		_width = aValue;
	}
	
	public String mimeType() {
		return _mimeType;
	}

	public void setMimeType(String aValue) {
		_mimeType = aValue;
	}

}
