/* Color.java created by mfirlik on Tue 16-May-2000 */

import com.apple.yellow.foundation.*;
import com.apple.yellow.eocontrol.*;
import com.apple.yellow.eoaccess.*;
import com.apple.yellow.webobjects.*;


public class Color extends EOCustomObject {

	// Color attributes
	private String _name;
	private String _rgbValue;
	private String _cmykValue;


	// Instantiate
	public Color() {
		super();
	}

	public Color(String name, String rgbValue, String cmykValue) {

		// Create a defined color
		setName(name);
		setRgbValue(rgbValue);
		setCmykValue(cmykValue);
	}


	// Color lists
	public static NSArray colorList() {

		Color blue = new Color("blue", "#0000FF", null);
		Color red = new Color("red", "#FF0000", null);
		Color green = new Color("green", "#00FF00", null);

		Color colorList[] = {blue, red, green};
		return new NSArray(colorList);
	}


	// Get and set
	public String name() {
		return _name;
	}

	public void setName(String aName) {
		_name = aName;
	}
	
	public String rgbValue() {
		return _rgbValue;
	}

	public void setRgbValue(String aValue) {
		_rgbValue = aValue;
	}

	public String cmykValue() {
		return _cmykValue;
	}

	public void setCmykValue(String aValue) {
		_cmykValue = aValue;
	}
	
}
